
OBJ_COMMON_C += $(boot_root)/Common/risc_flush_cache.c \
    $(boot_root)/Common/risc_clean_cache.c \
    $(boot_root)/Common/risc_size_cache.c \
    $(boot_root)/Common/risc_sync_cache.c \
    $(boot_root)/Common/risc_lock_cache.c \
    $(boot_root)/Common/risc_l2size.c
OBJ_COMMON_S +=  $(boot_root)/Common/init_gpr.S \
    $(boot_root)/Common/init_cp0.S \
    $(boot_root)/Common/init_tlb.S \
    $(boot_root)/Common/init_caches.S \
    $(boot_root)/Common/init_itc.S
	
OBJ_COMMON_C_NODIR = $(notdir $(OBJ_COMMON_C))
OBJ_COMMON_C_O = $(OBJ_COMMON_C_NODIR:%.c=%.o)
BOOT_TARGET_O += $(OBJ_COMMON_C_O)

OBJ_COMMON_S_NODIR = $(notdir $(OBJ_COMMON_S))
OBJ_COMMON_S_O = $(OBJ_COMMON_S_NODIR:%.S=%.o)
BOOT_TARGET_O += $(OBJ_COMMON_S_O)
